------------------------------------------------------------------
--                                                              --
--  File:   Restore_Database.SQL                                --
--          Microsoft TPC-E Benchmark Kit Ver. 1.7.0-1013       --
--          Copyright Microsoft  2008, 2009                     --
--                                                              --
------------------------------------------------------------------
Use master
GO

DECLARE @startdate	DATETIME,
	    @enddate	DATETIME

SELECT  @startdate = GETDATE()
SELECT  'Start date:',
		CONVERT(VARCHAR(30),@startdate, 21)

RESTORE DATABASE tpce
FROM    DISK = 'C:\jp\data01\tpcebackup01.bak',
        DISK = 'C:\jp\data02\tpcebackup02.bak',
        DISK = 'C:\jp\data03\tpcebackup03.bak',
        DISK = 'C:\jp\data04\tpcebackup04.bak',
        DISK = 'C:\jp\data05\tpcebackup05.bak',
        DISK = 'C:\jp\data06\tpcebackup06.bak',
        DISK = 'C:\jp\data07\tpcebackup07.bak',
        DISK = 'C:\jp\data08\tpcebackup08.bak',
        DISK = 'C:\jp\data09\tpcebackup09.bak',
        DISK = 'C:\jp\data10\tpcebackup10.bak',
        DISK = 'C:\jp\data11\tpcebackup11.bak',
        DISK = 'C:\jp\data12\tpcebackup12.bak',
        DISK = 'C:\jp\data13\tpcebackup13.bak',
        DISK = 'C:\jp\data14\tpcebackup14.bak',
        DISK = 'C:\jp\data15\tpcebackup15.bak',
        DISK = 'C:\jp\data16\tpcebackup16.bak',
        DISK = 'C:\jp\data17\tpcebackup17.bak',
        DISK = 'C:\jp\data18\tpcebackup18.bak',
        DISK = 'C:\jp\data19\tpcebackup19.bak',
        DISK = 'C:\jp\data20\tpcebackup20.bak',
        DISK = 'C:\jp\data21\tpcebackup21.bak',
        DISK = 'C:\jp\data22\tpcebackup22.bak',
        DISK = 'C:\jp\data23\tpcebackup23.bak',
        DISK = 'C:\jp\data24\tpcebackup24.bak',
        DISK = 'C:\jp\data25\tpcebackup25.bak',
        DISK = 'C:\jp\data26\tpcebackup26.bak',
        DISK = 'C:\jp\data27\tpcebackup27.bak',
        DISK = 'C:\jp\data28\tpcebackup28.bak',
        DISK = 'C:\jp\data29\tpcebackup29.bak',
        DISK = 'C:\jp\data30\tpcebackup30.bak'
WITH    REPLACE, STATS = 5

SELECT  @enddate = GETDATE()
SELECT  'End date: ',
		CONVERT(VARCHAR(30),@enddate, 21)
SELECT  'Elapsed time (in seconds): ',
		DATEDIFF(second, @startdate, @enddate)
GO
